package com.framsticks.communication;

import com.framsticks.util.FramsticksException;
import com.framsticks.util.dispatching.ExceptionResultHandler;

/**
 * @author Piotr Sniegowski
 */
public abstract class ResponseCallback<C> implements ExceptionResultHandler {
	public abstract void process(Response response);

	@Override
	public void handle(FramsticksException e) {
		process(new Response(false, e.getMsg(), null));
	}

}
